#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	xkbcommon
#-----------------------------------------------------------------------------
Name		:	libxkbcommon
Version		:	1.6.0
Release		:	14.8.0.0%{?dist}
Summary		:	X.Org X11 XKB parsing library
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://xkbcommon.org/download

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	xkeyboard-config
BuildRequires	:	doxygen
BuildRequires	:	libxcb
BuildRequires	:	wayland
BuildRequires	:	wayland-protocols

Requires	:	xkeyboard-config

#-----------------------------------------------------------------------------
%description
'%{name}' is the X.Org library for compiling XKB maps into
formats usable by the X Server or other display servers.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc LICENSE NEWS README.md
%{_bindir}/xkbcli
%{_includedir}/%{sname}/%{sname}*.h
%{_includedir}/%{sname}/xkbregistry.h
%{_libexecdir}/%{sname}/xkbcli-*
%{_libdir}/%{name}*.so*
%{_libdir}/libxkbregistry.so*
%{_libdir}/pkgconfig/%{sname}*.pc
%{_libdir}/pkgconfig/xkbregistry.pc
%{_datadir}/bash-completion/completions/xkbcli
%{_mandir}/man1/xkbcli.1.gz
%{_mandir}/man1/xkbcli-*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
meson							\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-Denable-docs=false				\
	..

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja -v -k1 %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
